#!/bin/bash
# Make SOAP-UI.app

MKSOAP_UI_APP_VERSION="0.0.1"

echo "soapui.app generator for Mac"
echo "Version "$MKSOAP_UI_APP_VERSION
echo "Copyright (c)2009 - Gregoire Lejeune"
echo

echo -n "Chemin d'accès au répertoire de soap-ui : "
read SUI_PATH

echo -n "Version : "
read SOAPUI_VERSION

rm -rf SoapUI.app

mkdir -p SoapUI.app/Contents/MacOS
mkdir -p SoapUI.app/Contents/Resources/Java

cp /System/Library/Frameworks/JavaVM.framework/Versions/Current/Resources/MacOS/JavaApplicationStub SoapUI.app/Contents/MacOS

echo "APPL????" > SoapUI.app/Contents/PkgInfo

cat <<EOF > SoapUI.app/Contents/Info.plist
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
<plist version="0.9">
<dict>
	<key>CFBundleName</key>
	<string>SoapUI</string>
	<key>CFBundleVersion</key>
	<string>$SOAPUI_VERSION</string>
	<key>CFBundleAllowMixedLocalizations</key>
	<string>true</string>
	<key>CFBundleExecutable</key>
	<string>JavaApplicationStub</string>
	<key>CFBundleDevelopmentRegion</key>
	<string>English</string>
	<key>CFBundlePackageType</key>
	<string>APPL</string>
	<key>CFBundleSignature</key>
	<string>????</string>
	<key>CFBundleInfoDictionaryVersion</key>
	<string>6.0</string>
	<key>CFBundleIconFile</key>
	<string>soapui.icns</string>
	<key>Java</key>
	<dict>
		<key>MainClass</key>
		<string>com.eviware.soapui.SoapUI</string>
		<key>JVMVersion</key>
		<string>1.5+</string>
		<key>ClassPath</key>
			<array>
EOF

for f in $SUI_PATH/lib/* $SUI_PATH/bin/*.jar
do
	FILENAME=`basename $f`
	cp $f SoapUI.app/Contents/Resources/Java
	if [ "${FILENAME##*.}" = "jar" ]
	then
		echo "			<string>\$JAVAROOT/$FILENAME</string>" >> SoapUI.app/Contents/Info.plist
	fi
done

cat <<EOG >> SoapUI.app/Contents/Info.plist
			</array>
		<key>Properties</key>
		<dict>
			<key>apple.laf.useScreenMenuBar</key>
			<string>true</string>
		</dict>
	</dict>
</dict>
</plist>
EOG

cp soapui.icns SoapUI.app/Contents/Resources

/Developer/Tools/SetFile -a B SoapUI.app

echo "Done."